API reference / Auth
Delete the account Copy page
DELETE /v1/auth/meCopy
Requires the password, and with two-factor authentication on a code, recovery code or passkey response (start one with `POST /v1/auth/passkeys/verification`). Signs out every device.
bearer auth
Request body application/json · required codestring
With two-factor authentication on: a code from the authenticator app
max length 16 passkeyobject
ceremony_tokenstring required
From POST /v1/auth/login/mfa/passkey when signing in, or POST /v1/auth/passkeys/verification when signed in
max length 256 credentialobject required
The PublicKeyCredential from navigator.credentials.get(), as JSON
passwordstring required
max length 512 recovery_codestring
With two-factor authentication on, instead of code
max length 32 Responses 401 Unauthorized application/problem+json
codestring required
Stable machine-readable error code
detailstring
Human-readable explanation
errorsarray of object
Field-level validation errors
request_idstring
Correlates with server logs and traces
statusinteger (int64) required
HTTP status code
titlestring required
Short summary of the problem type
typestring
URI identifying the problem type
422 Unprocessable Entity application/problem+json
codestring required
Stable machine-readable error code
detailstring
Human-readable explanation
errorsarray of object
Field-level validation errors
request_idstring
Correlates with server logs and traces
statusinteger (int64) required
HTTP status code
titlestring required
Short summary of the problem type
typestring
URI identifying the problem type
500 Internal Server Error application/problem+json
codestring required
Stable machine-readable error code
detailstring
Human-readable explanation
errorsarray of object
Field-level validation errors
request_idstring
Correlates with server logs and traces
statusinteger (int64) required
HTTP status code
titlestring required
Short summary of the problem type
typestring
URI identifying the problem type
503 Service Unavailable application/problem+json
codestring required
Stable machine-readable error code
detailstring
Human-readable explanation
errorsarray of object
Field-level validation errors
request_idstring
Correlates with server logs and traces
statusinteger (int64) required
HTTP status code
titlestring required
Short summary of the problem type
typestring
URI identifying the problem type
v0.5
Request curl Go TypeScript
Copy curl -X DELETE "https://api.example.com/v1/auth/me" \
-H "Authorization: Bearer $TOKEN " \
-H "Content-Type: application/json" \
-d '{
"code": "123456",
"passkey": {
"ceremony_token": "string",
"credential": {}
},
"password": "string",
"recovery_code": "abcde-fghij"
}' req, _ := http. NewRequest ( "DELETE" , "https://api.example.com/v1/auth/me" , strings. NewReader ( `{
"code": "123456",
"passkey": {
"ceremony_token": "string",
"credential": {}
},
"password": "string",
"recovery_code": "abcde-fghij"
}` ))
req.Header. Set ( "Authorization" , "Bearer " + token)
req.Header. Set ( "Content-Type" , "application/json" )
resp, err := http.DefaultClient. Do (req)
if err != nil {
return err
}
defer resp.Body. Close () const res = await fetch ( "https://api.example.com/v1/auth/me" , {
method: "DELETE" ,
headers: { Authorization: `Bearer ${ token }` , "Content-Type" : "application/json" },
body: JSON . stringify ({
"code" : "123456" ,
"passkey" : {
"ceremony_token" : "string" ,
"credential" : {}
},
"password" : "string" ,
"recovery_code" : "abcde-fghij"
}),
});
const data = await res. json (); {
"code" : "project_name_taken" ,
"detail" : "project name is already taken" ,
"errors" : [
{
"location" : "body.name" ,
"message" : "expected length >= 1"
}
],
"request_id" : "req_9f86d081884c7d65" ,
"status" : 409 ,
"title" : "Conflict" ,
"type" : "string"
} {
"code" : "project_name_taken" ,
"detail" : "project name is already taken" ,
"errors" : [
{
"location" : "body.name" ,
"message" : "expected length >= 1"
}
],
"request_id" : "req_9f86d081884c7d65" ,
"status" : 409 ,
"title" : "Conflict" ,
"type" : "string"
} {
"code" : "project_name_taken" ,
"detail" : "project name is already taken" ,
"errors" : [
{
"location" : "body.name" ,
"message" : "expected length >= 1"
}
],
"request_id" : "req_9f86d081884c7d65" ,
"status" : 409 ,
"title" : "Conflict" ,
"type" : "string"
} {
"code" : "project_name_taken" ,
"detail" : "project name is already taken" ,
"errors" : [
{
"location" : "body.name" ,
"message" : "expected length >= 1"
}
],
"request_id" : "req_9f86d081884c7d65" ,
"status" : 409 ,
"title" : "Conflict" ,
"type" : "string"
} Base URL https://api.example.comAuth bearer